<?xml version='1.0' encoding='ISO-8859-1'?> 
<!--
module :
transformation des elements de formulaires docbook en html

mise  jour :
$Id$
fplod 2007-04-27T15:08:17Z aedon.locean-ipsl.upmc.fr (Darwin)
++ inclusion php d'aprs http://www.cygwin.com/ml/docbook-apps/2005-q1/msg00484.html
je laisse les xsl:processing-instruction qui devraient pouvoir marcher mais je ne sais pas pourquoi xsltproc
ne veut rien mettre dans le contenu de l'attirubut value d'un input ... cf mchant sed dans makefile
fplod 2007-04-20T13:39:00Z aedon.locean-ipsl.upmc.fr (Darwin)
cration
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 

<xsl:template match="form">
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="form">
  <xsl:if test="@action">
   <xsl:attribute name="action"><xsl:value-of select="@action"/>
<!--?subject=[nemo survey 2007 cf form_db.xsl -->
<xsl:processing-instruction name="php">
<xsl:text>
/*
 Dfinit le fuseau horaire par dfaut  utiliser. Disponible depuis PHP
 5.1
date_default_timezone_set('UTC'); ++
*/
error_reporting(E_ALL);

DATE_ISO8601_mod = 'Y-m-d\TH:i:s\Z'; /* +Z - fraction seconde */

echo gmdate($DATE_ISO8601_mod);
</xsl:text>
</xsl:processing-instruction>
   </xsl:attribute>
  </xsl:if>
  <xsl:if test="@method">
   <xsl:attribute name="method"><xsl:value-of select="@method"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@enctype">
   <xsl:attribute name="enctype"><xsl:value-of select="@enctype"/></xsl:attribute>
  </xsl:if>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

<xsl:template match="fieldset">
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="fieldset">
  <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

<xsl:template match="label"> 
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="label">
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

<xsl:template match="legend">
 <legend><xsl:apply-templates/></legend>
</xsl:template>

<xsl:template match="input"> 
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="input">
  <xsl:if test="@name">
   <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@type">
   <xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@tabindex">
   <xsl:attribute name="tabindex"><xsl:value-of select="@tabindex"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@value">
   <xsl:attribute name="value">
    <xsl:value-of select="@value"/>
   </xsl:attribute>
  </xsl:if>
  <xsl:if test="not(@value)">
   <xsl:choose>
     <xsl:when test="@name='timestamp'">
      <xsl:attribute name="value">
<xsl:processing-instruction name="php">
<xsl:text>
/*
 Dfinit le fuseau horaire par dfaut  utiliser. Disponible depuis PHP
 5.1
date_default_timezone_set('UTC'); ++
*/
error_reporting(E_ALL);

DATE_ISO8601_mod = 'Y-m-d\TH:i:s\Z'; /* +Z - fraction seconde */

echo date($DATE_ISO8601_mod);
</xsl:text>
</xsl:processing-instruction>
      </xsl:attribute>
     </xsl:when>
     <xsl:when test="@name='server'">
       <xsl:attribute name="value">
<xsl:processing-instruction name="php">
<xsl:text>
echo $_SERVER['HTTP_USER_AGENT'];
</xsl:text>
</xsl:processing-instruction>
      </xsl:attribute>
     </xsl:when>
     <xsl:when test="@name='phpversion'">
       <xsl:attribute name="value">
<xsl:processing-instruction name="php">
<xsl:text>
echo phpversion();
</xsl:text>
</xsl:processing-instruction>
      </xsl:attribute>
     </xsl:when>
     <xsl:otherwise>
     <xsl:message terminate="yes">
      eee : input <xsl:value-of select="@name"/> without @value
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:if>
  <xsl:if test="@checked">
   <xsl:attribute name="checked"><xsl:value-of select="@checked"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@readonly">
   <xsl:attribute name="readonly"><xsl:value-of select="@readonly"/></xsl:attribute>
  </xsl:if>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

<xsl:template match="textarea"> 
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="textarea">
  <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
  <xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute>
  <xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>
<xsl:template match="form/select"> 
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="select">
  <xsl:if test="@name">
   <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@id">
   <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@multiple">
   <xsl:attribute name="multiple"><xsl:value-of select="@multiple"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@onChange">
   <xsl:attribute name="onChange"><xsl:value-of select="@onChange"/></xsl:attribute>
  </xsl:if>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

<xsl:template match="option"> 
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="option">
  <xsl:if test="@value">
   <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="@SELECTED">
   <xsl:attribute name="SELECTED"><xsl:value-of select="@SELECTED"/></xsl:attribute>
  </xsl:if>
  <xsl:apply-templates/>
 </xsl:element>
</xsl:template>

</xsl:stylesheet> 
